summaryrefslogtreecommitdiffstats
path: root/openpower/scripts
diff options
context:
space:
mode:
authorBrandon Bergren <git@bdragon.rtk0.net>2018-05-11 23:24:34 +0000
committerRaptor Engineering Development Team <support@raptorengineering.com>2019-04-24 04:17:47 +0000
commit90b10901244df06cc83ae9fadd38ade259f98c9f (patch)
treeef5193da9d46309c8a8e621eede7ef5d1acc758f /openpower/scripts
parent115680edd445d87c453b2d877e28f6f0e7e209ff (diff)
downloadtalos-op-build-90b10901244df06cc83ae9fadd38ade259f98c9f.tar.gz
talos-op-build-90b10901244df06cc83ae9fadd38ade259f98c9f.zip
Do some extra cleanup in the skiroot.
* Throw out elf libraries for nonbootable architectures * Throw out the c++ standard library (it's needed during build time for other pieces of the stack, but not the skiroot.) Signed-off-by: Brandon Bergren <git@bdragon.rtk0.net>
Diffstat (limited to 'openpower/scripts')
-rwxr-xr-xopenpower/scripts/talos-extra-cleanup19
1 files changed, 19 insertions, 0 deletions
diff --git a/openpower/scripts/talos-extra-cleanup b/openpower/scripts/talos-extra-cleanup
new file mode 100755
index 00000000..cd7246d8
--- /dev/null
+++ b/openpower/scripts/talos-extra-cleanup
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# Extra cleanup tasks to trim some extra fat from the target.
+
+# If $TARGET_DIR is not set, bail immediately.
+if [ -z "$TARGET_DIR" ]; then
+ exit 1
+fi
+
+# libstdc++ is not used by any skiroot binaries.
+rm $TARGET_DIR/usr/lib/libstdc++*
+
+# libelf is needed for kexec, but no point in keeping foreign platform support.
+for n in aarch64 alpha arm i386 ia64 m68k s390 sh sparc tilegx x86_64
+do
+ rm $TARGET_DIR/usr/lib/elfutils/libebl_${n}*.so
+done
+
+exit 0
OpenPOWER on IntegriCloud